// Time-stamp: "23.06.09 07:56 lcd-routines.h klaus@wachtler.de"
//
// Ansteuerung eines HD44780 kompatiblen LCD im 4-Bit-Interfacemodus
// [1] http://www.mikrocontroller.net/articles/AVR-GCC-Tutorial
// [2] http://www.mikrocontroller.net/topic/88543#751982


//void lcd_data( unsigned char data );
//void lcd_command( unsigned char command );
void lcd_string( const char *data );
//void lcd_enable( void );
void lcd_init( void );
void lcd_home( void );
void lcd_clear( void );
void lcd_set_cursor( uint8_t x, uint8_t y );

// Hier die verwendete Taktfrequenz in Hz eintragen, wichtig!

// ist in Makefile gemacht!
#ifndef F_CPU
//#error F_CPU nicht gesetzt
#define F_CPU 18000000
#endif


// LCD Befehle

#define CLEAR_DISPLAY 0x01
#define CURSOR_HOME   0x02



// Pinbelegung für das LCD, an verwendete Pins anpassen

#define LCD_PORT_4    PORTD
#define LCD_DDR_4     DDRD
#define LCD_D4        PD4

#define LCD_PORT_5    PORTD
#define LCD_DDR_5     DDRD
#define LCD_D5        PD5

#define LCD_PORT_6    PORTD
#define LCD_DDR_6     DDRD
#define LCD_D6        PD6

#define LCD_PORT_7    PORTD
#define LCD_DDR_7     DDRD
#define LCD_D7        PD7

#define LCD_RS_PORT   PORTB
#define LCD_RS_DDR    DDRB
#define LCD_RS        PB0

#define LCD_EN1_PORT  PORTB
#define LCD_EN1_DDR   DDRB
#define LCD_EN1       PB1
